Module javafx.base
Package javafx.beans.property.adapter

# Interface ReadOnlyJavaBeanProperty<T>

Type Parameters:
  `T` - The type of the wrapped property

All Superinterfaces:
  `Observable`, `ObservableValue<T>`, `ReadOnlyProperty<T>`

All Known Subinterfaces:
  `JavaBeanProperty<T>`

All Known Implementing Classes:
  `JavaBeanBooleanProperty`, `JavaBeanDoubleProperty`, `JavaBeanFloatProperty`, `JavaBeanIntegerProperty`, `JavaBeanLongProperty`, `JavaBeanObjectProperty`, `JavaBeanStringProperty`, `ReadOnlyJavaBeanBooleanProperty`, `ReadOnlyJavaBeanDoubleProperty`, `ReadOnlyJavaBeanFloatProperty`, `ReadOnlyJavaBeanIntegerProperty`, `ReadOnlyJavaBeanLongProperty`, `ReadOnlyJavaBeanObjectProperty`, `ReadOnlyJavaBeanStringProperty`

    public interface ReadOnlyJavaBeanProperty<T>
    extends ReadOnlyProperty<T>

`JavaBeanProperty` is the super interface of all adapters between readonly Java Bean properties and JavaFX properties.

Since:
  JavaFX 2.1

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `dispose()` | Signals to the JavaFX property that it will not be used anymore and any references can be removed.
  `void` | `fireValueChangedEvent()` | This method can be called to notify the adapter of a change of the Java Bean value, if the Java Bean property is not bound (i.e.

  ### Methods inherited from interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

- ## Method Details

  - ### fireValueChangedEvent

    void fireValueChangedEvent()
    This method can be called to notify the adapter of a change of the Java Bean value, if the Java Bean property is not bound (i.e. it does not support PropertyChangeListeners).

  - ### dispose

    void dispose()
    Signals to the JavaFX property that it will not be used anymore and any references can be removed. A call of this method usually results in the property stopping to observe the Java Bean property by unregistering its listener(s).